########################################################################
# SSR Dummy collections
########################################################################

name: ssr
meta:
    label: { de: "SSR Dummy", en: "ssr dummy" }
    muiIcon: server
    rowIdentTpl: { twig: "{{ id }}" }
    views:
        - type: simpleList
          mediaQuery: "(max-width: 600px)"
          primaryText: id
          secondaryText: insertTime
          tertiaryText: path
        - type: table
          columns:
              - id
              - insertTime
              - path

permissions:
    public:
        methods:
            get: false
            post: false
            put: false
            delete: false
    user:
        methods:
            get: false
            post: false
            put: false
            delete: false
    "token:${SSR_TOKEN}":
        methods:
            # only via url=
            get: true
            post: true
            put: false
            delete: false

hooks:
    get:
        read:
            type: javascript
            file: hooks/ssr/get_read.js
    post:
        bind:
            type: javascript
            file: hooks/ssr/post_bind.js

# we only need hooks
fields:
    - name: path
      type: string
      index: [single, unique]
    - name: content
      type: string
      meta:
          inputProps:
              multiline: true
